*** xc/config/cf/xttsite.def.orig	Sat Nov 10 05:53:19 2001
--- xc/config/cf/xttsite.def	Sat Nov 10 05:54:48 2001
***************
*** 14,23 ****
   * match the defaults (check your OS .cf file or Imake.tmpl for the
   * defaults).
   *
- #define FreeTypeLibDir          /usr/local/lib
- #define FreeTypeIncDir          /usr/local/include/freetype
- #define FreeTypeLibName         ttf
   */
  
  /*
   * To prevend building XFree86 with TrueType font support by X-TrueType,
--- 14,23 ----
   * match the defaults (check your OS .cf file or Imake.tmpl for the
   * defaults).
   *
   */
+ #define FreeTypeLibDir          /usr/pkg/lib
+ #define FreeTypeIncDir          /usr/pkg/include/freetype
+ #define FreeTypeLibName         ttf
  
  /*
   * To prevend building XFree86 with TrueType font support by X-TrueType,
*** xc/programs/Xserver/Imakefile.orig	Sat Nov 10 05:23:22 2001
--- xc/programs/Xserver/Imakefile	Sat Nov 10 05:46:05 2001
***************
*** 153,159 ****
            CFB32 = cfb/LibraryTargetName(cfb) cfb32/LibraryTargetName(cfb)
               MI = mi/LibraryTargetName(mi)
              DIX = dix/LibraryTargetName(dix)
!            FONT = $(DEPFONTLIB)
  #if UsbMouseSupport 
  #if !HasLibUsb
              USB = $(XF86OSSRC)/libusb/LibraryTargetName(usb)
--- 153,159 ----
            CFB32 = cfb/LibraryTargetName(cfb) cfb32/LibraryTargetName(cfb)
               MI = mi/LibraryTargetName(mi)
              DIX = dix/LibraryTargetName(dix)
!            FONT = $(FONTLIB) $(XPFBLIBS)
  #if UsbMouseSupport 
  #if !HasLibUsb
              USB = $(XF86OSSRC)/libusb/LibraryTargetName(usb)
***************
*** 223,229 ****
  VAXDIRS = $(STDDIRS) $(MFBDIR) $(DDXDIR1) $(DEPDIRS)
  VAXOBJS = hw/netbsd/vax/init.o hw/netbsd/vax/mono_io.o hw/netbsd/vax/lk201.o
  VAXLIBS = MFBLibs
! ServerTarget(Xmono,$(VAXDIRS),$(VAXOBJS),$(VAXLIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmono
  #endif
--- 223,230 ----
  VAXDIRS = $(STDDIRS) $(MFBDIR) $(DDXDIR1) $(DEPDIRS)
  VAXOBJS = hw/netbsd/vax/init.o hw/netbsd/vax/mono_io.o hw/netbsd/vax/lk201.o
  VAXLIBS = MFBLibs
! VAXSYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! ServerTarget(Xmono,$(VAXDIRS),$(VAXOBJS),$(VAXLIBS),$(VAXSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmono
  #endif
***************
*** 239,245 ****
  PMAXDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(DDXDIR1) $(DEPDIRS)
  PMAXOBJS = hw/netbsd/pmax/pmax_init.o hw/netbsd/pmax/pmax_io.o hw/netbsd/pmax/lk201.o
  PMAXLIBS = CFB8Libs
! ServerTarget(Xpmax,$(PMAXDIRS),$(PMAXOBJS),$(PMAXLIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xpmax
  #endif
--- 240,247 ----
  PMAXDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(DDXDIR1) $(DEPDIRS)
  PMAXOBJS = hw/netbsd/pmax/pmax_init.o hw/netbsd/pmax/pmax_io.o hw/netbsd/pmax/lk201.o
  PMAXLIBS = CFB8Libs
! PMAXSYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! ServerTarget(Xpmax,$(PMAXDIRS),$(PMAXOBJS),$(PMAXLIBS),$(PMAXSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xpmax
  #endif
***************
*** 256,262 ****
  HPCDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR1) $(DEPDIRS)
  HPCOBJS = hw/netbsd/hpc/hpcInit.o
  HPCLIBS = hw/netbsd/hpc/libhpc.a CFB8Libs CFB16Libs
! ServerTarget(Xhpc,$(HPCDIRS),$(HPCOBJS),$(HPCLIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xhpc
  #endif
--- 258,265 ----
  HPCDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR1) $(DEPDIRS)
  HPCOBJS = hw/netbsd/hpc/hpcInit.o
  HPCLIBS = hw/netbsd/hpc/libhpc.a CFB8Libs CFB16Libs
! HPCSYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! ServerTarget(Xhpc,$(HPCDIRS),$(HPCOBJS),$(HPCLIBS),$(HPCSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xhpc
  #endif
***************
*** 506,512 ****
  		$(DDXDIR1) $(DEPDIRS)
  MACOBJS = hw/netbsd/mac68k/macInit.o hw/netbsd/mac68k/macEvent.o
  MACLIBS = hw/netbsd/mac68k/libmac.a CFBLibs
! MACSYSLIBS = $(CBRT) $(SYSLIBS)
  ServerTarget(Xmac68k,$(MACDIRS),$(MACOBJS),$(MACLIBS),$(MACSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmac68k
--- 509,515 ----
  		$(DDXDIR1) $(DEPDIRS)
  MACOBJS = hw/netbsd/mac68k/macInit.o hw/netbsd/mac68k/macEvent.o
  MACLIBS = hw/netbsd/mac68k/libmac.a CFBLibs
! MACSYSLIBS = $(LDPRELIBS) $(FONT) $(CBRT) $(SYSLIBS)
  ServerTarget(Xmac68k,$(MACDIRS),$(MACOBJS),$(MACLIBS),$(MACSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmac68k
***************
*** 550,556 ****
  XAmigaObjs = $(DDXDIR1)/amigaInit.o
  XAmigaLibs = $(XAmigaDDXLib) PreFbLibs $(AfbLib) $(RetinaZ3Lib) $(CirrusLib) \
  		$(CV64Lib) $(XAmigaGfxLibs) $(MFB) PostFbLibs
! XAmigaSysLibs = $(SYSLIBS)
  SetUIDServerTarget(Xamiga,$(XAmigaDirs),$(XAmigaObjs),$(XAmigaLibs),$(XAmigaSysLibs))
  #ifndef ServerToInstall
  #define ServerToInstall Xamiga
--- 553,559 ----
  XAmigaObjs = $(DDXDIR1)/amigaInit.o
  XAmigaLibs = $(XAmigaDDXLib) PreFbLibs $(AfbLib) $(RetinaZ3Lib) $(CirrusLib) \
  		$(CV64Lib) $(XAmigaGfxLibs) $(MFB) PostFbLibs
! XAmigaSysLibs = $(LDPRELIBS) $(FONT) $(SYSLIBS)
  SetUIDServerTarget(Xamiga,$(XAmigaDirs),$(XAmigaObjs),$(XAmigaLibs),$(XAmigaSysLibs))
  #ifndef ServerToInstall
  #define ServerToInstall Xamiga
***************
*** 569,575 ****
  ANBDIRS1 = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB32DIR) $(DDXDIR1) $(DEPDIRS)
  ANBOBJS1 = hw/netbsd/alpha/alphaInit.o
  ANBLIBS1 = hw/netbsd/alpha/tga/libalphaTga.a hw/netbsd/alpha/sfb/libalphaSfb.a hw/netbsd/alpha/libalpha.a CFB32Libs CFB8Libs
! SetUIDServerTarget(XalphaNetBSD,$(ANBDIRS1),$(ANBOBJS1),$(ANBLIBS1),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall XalphaNetBSD
  #endif
--- 572,579 ----
  ANBDIRS1 = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB32DIR) $(DDXDIR1) $(DEPDIRS)
  ANBOBJS1 = hw/netbsd/alpha/alphaInit.o
  ANBLIBS1 = hw/netbsd/alpha/tga/libalphaTga.a hw/netbsd/alpha/sfb/libalphaSfb.a hw/netbsd/alpha/libalpha.a CFB32Libs CFB8Libs
! ANBSYSLIBS1 = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! SetUIDServerTarget(XalphaNetBSD,$(ANBDIRS1),$(ANBOBJS1),$(ANBLIBS1),$(ANBSYSLIBS1))
  #ifndef ServerToInstall
  #define ServerToInstall XalphaNetBSD
  #endif
***************
*** 587,593 ****
  X68DIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR1) $(DEPDIRS)
  X68OBJS = hw/netbsd/x68k/x68kInit.o
  X68LIBS = hw/netbsd/x68k/libx68k.a CFB16Libs CFB8Libs $(OTHEREXTS)	/* XXX */
! SetUIDServerTarget(X68k,$(X68DIRS),$(X68OBJS),$(X68LIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall X68k
  #endif
--- 591,598 ----
  X68DIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR1) $(DEPDIRS)
  X68OBJS = hw/netbsd/x68k/x68kInit.o
  X68LIBS = hw/netbsd/x68k/libx68k.a CFB16Libs CFB8Libs $(OTHEREXTS)	/* XXX */
! X68SYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! SetUIDServerTarget(X68k,$(X68DIRS),$(X68OBJS),$(X68LIBS),$(X68SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall X68k
  #endif
***************
*** 604,610 ****
  PMACDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(DDXDIR1) $(DEPDIRS)
  PMACOBJS = hw/netbsd/macppc/macppcInit.o
  PMACLIBS = hw/netbsd/macppc/libmacppc.a CFB8Libs
! ServerTarget(Xmacppc,$(PMACDIRS),$(PMACOBJS),$(PMACLIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmacppc
  #endif
--- 609,616 ----
  PMACDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(DDXDIR1) $(DEPDIRS)
  PMACOBJS = hw/netbsd/macppc/macppcInit.o
  PMACLIBS = hw/netbsd/macppc/libmacppc.a CFB8Libs
! PMACSYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! ServerTarget(Xmacppc,$(PMACDIRS),$(PMACOBJS),$(PMACLIBS),$(PMACSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xmacppc
  #endif
***************
*** 621,628 ****
  VIDCDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR2) $(DEPDIRS)
  VIDCOBJS = hw/netbsd/arm32vidc/vidc.o
  VIDCLIBS = hw/netbsd/arm32vidc/libvidc.a CFB16Libs CFB8Libs $(OTHEREXTS)
! #VIDCSYSLIBS = $(CBRT) $(SYSLIBS)
! SetUIDServerTarget(Xarm32VIDC,$(VIDCDIRS),$(VIDCOBJS),$(VIDCLIBS),$(SYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xarm32VIDC
  #endif
--- 627,635 ----
  VIDCDIRS = $(STDDIRS) $(MFBDIR) $(CFB8DIR) $(CFB16DIR) $(DDXDIR2) $(DEPDIRS)
  VIDCOBJS = hw/netbsd/arm32vidc/vidc.o
  VIDCLIBS = hw/netbsd/arm32vidc/libvidc.a CFB16Libs CFB8Libs $(OTHEREXTS)
! #VIDCSYSLIBS = $(LDPRELIBS) $(FONT) $(CBRT) $(SYSLIBS)
! VIDCSYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
! SetUIDServerTarget(Xarm32VIDC,$(VIDCDIRS),$(VIDCOBJS),$(VIDCLIBS),$(VIDCSYSLIBS))
  #ifndef ServerToInstall
  #define ServerToInstall Xarm32VIDC
  #endif
***************
*** 1928,1934 ****
                 $(XF68SRC)/xaa/LibraryTargetName(xaa) \
                 $(XF68SRC)/vga256/LibraryTargetName(vga256) \
                 $(XF68LIBS) $(XF68HWLIB) CFBLibs
! XF68SVGASYSLIBS = $(SYSLIBS)
  #if HasParallelMake
  MakeMutex($(XF68SVGASUBDIRS) $(XF68SVGAOBJS) $(XF68SVGALIBS) $(XF68SVGASYSLIBS)
  )
--- 1935,1941 ----
                 $(XF68SRC)/xaa/LibraryTargetName(xaa) \
                 $(XF68SRC)/vga256/LibraryTargetName(vga256) \
                 $(XF68LIBS) $(XF68HWLIB) CFBLibs
! XF68SVGASYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
  #if HasParallelMake
  MakeMutex($(XF68SVGASUBDIRS) $(XF68SVGAOBJS) $(XF68SVGALIBS) $(XF68SVGASYSLIBS)
  )
***************
*** 1952,1958 ****
                $(XF68ACCELSRC)/et4000w32/cfb.w32/LibraryTargetName(cfb) \
                $(XF68ACCELSRC)/et4000w32/w32/LibraryTargetName(w32) \
                $(XF68LIBS) $(XF68HWLIB) CFB8Libs
! XF68W32SYSLIBS = $(SYSLIBS)
  #if HasParallelMake
  MakeMutex($(XF68W32SUBDIRS) $(XF68W32OBJS) $(XF68W32LIBS) $(XF68W32SYSLIBS))
  #endif
--- 1959,1965 ----
                $(XF68ACCELSRC)/et4000w32/cfb.w32/LibraryTargetName(cfb) \
                $(XF68ACCELSRC)/et4000w32/w32/LibraryTargetName(w32) \
                $(XF68LIBS) $(XF68HWLIB) CFB8Libs
! XF68W32SYSLIBS = $(LDPRELIBS) $(FONT) $(SYSLIBS)
  #if HasParallelMake
  MakeMutex($(XF68W32SUBDIRS) $(XF68W32OBJS) $(XF68W32LIBS) $(XF68W32SYSLIBS))
  #endif
*** xc/programs/xfs/Imakefile.orig	Sat Nov 10 14:06:31 2001
--- xc/programs/xfs/Imakefile	Sat Nov 10 14:08:35 2001
***************
*** 7,13 ****
  OSDIR = os
  DIFSDIR = difs
  DEPFONTLIB = ../../lib/font/libfont.a
! FONTLIB = -L../../lib/font -lfont
  
  OSLIB = $(OSDIR)/LibraryTargetName(os)
  DIFSLIB = $(DIFSDIR)/LibraryTargetName(difs)
--- 7,13 ----
  OSDIR = os
  DIFSDIR = difs
  DEPFONTLIB = ../../lib/font/libfont.a
! FONTLIB = -L../../lib/font -lfont -L/usr/pkg/lib -lttf
  
  OSLIB = $(OSDIR)/LibraryTargetName(os)
  DIFSLIB = $(DIFSDIR)/LibraryTargetName(difs)
